Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.util
Interface IInnerClassesAttributeEntry

public interface IInnerClassesAttributeEntry

Description of a inner class info as described in the JVM specifications. This interface may be implemented by clients.

Since:
  2.0

Method Summary
`int` | `getAccessFlags()` Answer back the access flag of this inner classes attribute as specified in the JVM specifications.
`char[]` | `getInnerClassName()` Answer back the inner class name of this inner classes attribute as specified in the JVM specifications, null if inner class name index is equals to zero.
`int` | `getInnerClassNameIndex()` Answer back the inner class name index of this inner classes attribute as specified in the JVM specifications.
`char[]` | `getInnerName()` Answer back the inner name of this inner classes attribute as specified in the JVM specifications, null if inner name index is equals to zero.
`int` | `getInnerNameIndex()` Answer back the inner name index of this inner classes attribute as specified in the JVM specifications.
`char[]` | `getOuterClassName()` Answer back the outer class name of this inner classes attribute as specified in the JVM specifications, null if outer class name index is equals to zero.
`int` | `getOuterClassNameIndex()` Answer back the outer class name index of this inner classes attribute as specified in the JVM specifications.

Method Detail

### getAccessFlags

    public int getAccessFlags()

  Answer back the access flag of this inner classes attribute as specified in the JVM specifications.

  Returns:
    the access flag of this inner classes attribute as specified in the JVM specifications

### getInnerNameIndex

    public int getInnerNameIndex()

  Answer back the inner name index of this inner classes attribute as specified in the JVM specifications.

  Returns:
    the inner name index of this inner classes attribute as specified in the JVM specifications

### getOuterClassNameIndex

    public int getOuterClassNameIndex()

  Answer back the outer class name index of this inner classes attribute as specified in the JVM specifications.

  Returns:
    the outer class name index of this inner classes attribute as specified in the JVM specifications

### getInnerClassNameIndex

    public int getInnerClassNameIndex()

  Answer back the inner class name index of this inner classes attribute as specified in the JVM specifications.

  Returns:
    the inner class name index of this inner classes attribute as specified in the JVM specifications

### getInnerName

    public char[] getInnerName()

  Answer back the inner name of this inner classes attribute as specified in the JVM specifications, null if inner name index is equals to zero.

  Returns:
    the inner name of this inner classes attribute as specified in the JVM specifications, null if inner name index is equals to zero

### getOuterClassName

    public char[] getOuterClassName()

  Answer back the outer class name of this inner classes attribute as specified in the JVM specifications, null if outer class name index is equals to zero.

  Returns:
    the outer class name of this inner classes attribute as specified in the JVM specifications, null if outer class name index is equals to zero

### getInnerClassName

    public char[] getInnerClassName()

  Answer back the inner class name of this inner classes attribute as specified in the JVM specifications, null if inner class name index is equals to zero.

  Returns:
    the inner class name of this inner classes attribute as specified in the JVM specifications, null if inner class name index is equals to zero

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.